<?php

namespace App\Controller;

use App\Entity\QRCode\QRCode;
use App\Form\Type\QRCodeType;
use App\Service\QRCodeQROptionsProviderInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class IndexController extends AbstractController {

    #[Route('/', name: 'homepage')]
    public function indexAction(Request $request, QRCodeQROptionsProviderInterface $qrCodeQROptionsFactory): Response
    {
        $qrCode = new QRCode(
            codeQROptions: $qrCodeQROptionsFactory->getDefault()
        );

        $form = $this->createForm(QRCodeType::class, $qrCode);


        if ($request->isMethod('POST')) {
            $form->submit($request->request->all($form->getName()));

            if ($form->isSubmitted() && $form->isValid()) {
                // TODO: call service to generate
                print_r($qrCode);
            }
        }

        return $this->render('index/homepage.html.twig', [
            'form' => $form
        ]);
    }
}
